/*
 * AD7321_mango_porting.h
 */

#ifndef __AD7321_MANGO_PORTING_H
#define __AD7321_MANGO_PORTING_H

/* Includes ------------------------------------------------------------------*/

#include "hw_config.h"
#include "stm32f10x_spi.h"
#include "stm32f10x_gpio.h"

/* Exported types ------------------------------------------------------------*/

/* Exported constants --------------------------------------------------------*/

/* Exported macro ------------------------------------------------------------*/

//#define AD7321_SPI_DEBUG
#ifdef AD7321_SPI_DEBUG
#define AD7321_SPI_PRINTK(fmt, args...) \
	printf("[AD7321_SPI] %s(%d): " fmt, __func__, __LINE__ , ## args)
#else
#define AD7321_SPI_PRINTK(fmt, args...)
#endif

/* External variables --------------------------------------------------------*/

/* Exported functions ------------------------------------------------------- */

u16 AD7321_SPI_Read_16(void);
void AD7321_SPI_Write_16(u16 data);

#endif  /* __AD7321_MANGO_PORTING_H */
