#ifndef __BSHARP_PROCESS_H
#define __BSHARP_PROCESS_H

/* Includes ------------------------------------------------------------------*/

#include "stm32f10x.h"
#include "stdio.h"

/* Exported types ------------------------------------------------------------*/

typedef enum
{
    BSHARP_PROC_STATE_NORMAL               = 0,
    BSHARP_PROC_STATE_MEASURE_VOLT_CURRENT
} BSharp_Process_StateE;

/* Exported constants --------------------------------------------------------*/

/* Exported macro ------------------------------------------------------------*/

/* External variables --------------------------------------------------------*/

extern BSharp_Process_StateE g_bsharp_process_state;

/* Exported functions ------------------------------------------------------- */

void BSharp_Initialization(void);
void BSharp_Process(void);
void BSharp_Work_Process_Measure_Volt_Current(void);

#endif  /* __BSHARP_COMM_H */
