/*
 * (C) COPYRIGHT 2013 CRZ
 *
 * File Name : AT86RF212_test.h
 * Author    : POOH
 * Version   : V1.0
 * Date      : 12/25/2013
 */

#ifndef __AT86RF212_TEST_H
#define __AT86RF212_TEST_H

/* includes */

#include "stm32f10x.h"
#include "config.h"

#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>

/* variables */

extern GPIO_TypeDef *  g_at86rf212_gpio_ncs;
extern SPI_TypeDef *   g_at86rf212_spi_num_p;

extern uint16_t  g_at86rf212_gpio_pin_reset, g_at86rf212_gpio_pin_ncs;
extern uint16_t  g_at86rf212_gpio_pin_0, g_at86rf212_gpio_pin_1, g_at86rf212_gpio_pin_2;
extern uint16_t  g_at86rf212_gpio_pin_3, g_at86rf212_gpio_pin_4, g_at86rf212_gpio_pin_5;

extern uint8_t   g_at86rf212_gpio_pin_0_pin_source, g_at86rf212_gpio_pin_0_irq;
extern uint32_t  g_at86rf212_gpio_pin_0_exti_line;

/* functions */

void AT86RF212_Test(SPI_TypeDef* SPIx_p);
int AT86RF212_Test_Peer2Peer_main(AT86RF212_TestMode_E testMode);

#endif  /* __AT86RF212_TEST_H */

