#ifndef __LED_H
#define __LED_H

/* Includes ------------------------------------------------------------------*/

#include "stm32f10x.h"
#include "stdio.h"

/* Exported types ------------------------------------------------------------*/

/* Exported constants --------------------------------------------------------*/

typedef enum
{
    LED1 = 0,
    LED2 = 1,
    LED3 = 2
} LED_NUM_E;

#define NUM_OF_LEDS    3

/* Exported macro ------------------------------------------------------------*/

/* Exported functions ------------------------------------------------------- */

void LED_On(LED_NUM_E ledNum);
void LED_Off(LED_NUM_E ledNum);
void LED_Toggle(LED_NUM_E ledNum);

void LED_On_All(void);
void LED_Off_All(void);

void LED_Blink_All(uint32_t count, uint32_t delayMSec);

/* External variables --------------------------------------------------------*/

#endif  /* __LED_H */
