/*
 * (C) COPYRIGHT 2012 CRZ
 *
 * File Name : ad7321_spi_sw.h
 * Author    : POOH
 * Version   : V1.0
 * Date      : 06/15/2012
 */

#ifndef __AD7321_SPI_SW_H
#define __AD7321_SPI_SW_H

/* includes */

/* defines */

#define AD7321_SPI_SW_DEBUG
#ifdef AD7321_SPI_SW_DEBUG
#define AD7321_SPI_SW_PRINTK(fmt, args...) \
	printf("[AD7321_SPI_SW] %s(%d): " fmt, __func__, __LINE__ , ## args)
#else
#define AD7321_SPI_SW_PRINTK(fmt, args...)
#endif

/* functions */

void SW_SPI_Config_Start(void);
void SW_SPI_Config_End(void);
unsigned char SW_SPI_Read_Register(unsigned char addr);
void SW_SPI_Write_Register(unsigned char addr, unsigned char data);
u16 SW_SPI_AD7321_Read_16(void);
void SW_SPI_AD7321_Write_16(u16 data);

#endif  /* __AD7321_SPI_SW_H */
