/*
 * (C) COPYRIGHT 2013 CRZ
 *
 * File Name : enc28j60_test.h
 * Author    : POOH
 * Version   : V1.0
 * Date      : 09/10/2013
 */

#ifndef __ENC28J60_TEST_H
#define __ENC28J60_TEST_H

/* includes */

#include "stm32f10x.h"

#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>

/* variables */

extern GPIO_TypeDef *  g_enc28j60_gpio_ncs;
extern SPI_TypeDef *   g_enc28j60_spi_num_p;

extern uint16_t  g_enc28j60_gpio_pin_reset, g_enc28j60_gpio_pin_ncs;
extern uint16_t  g_enc28j60_gpio_pin_0, g_enc28j60_gpio_pin_1, g_enc28j60_gpio_pin_2;
extern uint16_t  g_enc28j60_gpio_pin_3, g_enc28j60_gpio_pin_4, g_enc28j60_gpio_pin_5;

/* functions */

void ENC28J60_Test(SPI_TypeDef* SPIx_p);

#endif  /* __ENC28J60_TEST_H */

