/*
 * (C) COPYRIGHT 2009 CRZ
 *
 * File Name : zigbee_test.h
 * Author    : POOH
 * Version   : V1.0
 * Date      : 08/28/2009
 */

#ifndef __ZIGBEE_TEST_H
#define __ZIGBEE_TEST_H

/* includes */

#include "hal_rf.h"
#include "hal_cc2520.h"
#include "basic_rf.h"

#include "stm32f10x.h"

#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>

/* variables */

extern GPIO_TypeDef *  g_gpio_ncs;
extern SPI_TypeDef *   g_spi_num_p;

extern uint16_t  g_gpio_pin_reset, g_gpio_pin_vreg_en, g_gpio_pin_ncs;
extern uint16_t  g_gpio_pin_0, g_gpio_pin_1, g_gpio_pin_2, g_gpio_pin_3, g_gpio_pin_4, g_gpio_pin_5;

extern uint8_t   g_gpio_pin_0_pin_source, g_gpio_pin_0_irq;
extern uint32_t  g_gpio_pin_0_exti_line;

/* functions */

void ZigBee_Test(SPI_TypeDef* SPIx_p);

#endif  /* __ZIGBEE_TEST_H */
